This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 469093 - audit2why segfault
audit2why segfault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 16:35 EDT by Dominick Grift
Modified: 2009-06-26 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 15:53:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2008-10-29 16:35:48 EDT
Description of problem:

Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 344, in <module>
    app.main()
  File "/usr/bin/audit2allow", line 338, in main
    self.__output()
  File "/usr/bin/audit2allow", line 290, in __output
    return self.__output_audit2why()
  File "/usr/bin/audit2allow", line 231, in __output_audit2why
    raise RuntimeError("Must call policy_init first")
RuntimeError: Must call policy_init first


Version-Release number of selected component (if applicable):

policycoreutils-2.0.57-6.fc10.x86_64

How reproducible:

cat test.txt | audit2why
Comment 1 Daniel Walsh 2008-10-30 14:24:15 EDT
Fixed in  2.0.57-10
Comment 2 Bug Zapper 2008-11-25 23:28:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.